#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "PlayerSocialOptionViewData.h"
#include "LobbyPartyMembersSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API ULobbyPartyMembersSubPresenter : public USubPresenter
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable)
	void OnPlayerSocialOptionClicked(const FPlayerSocialOptionViewData& playerSocialOptionData);

	UFUNCTION(BlueprintCallable)
	void OnPartyMemberClicked(const FString& playerId);

public:
	ULobbyPartyMembersSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const ULobbyPartyMembersSubPresenter) { return 0; }
